{% extends "base_generic.html" %}
{% block title %}
    Course: {{ course.title }}
{% endblock title %}
{% block content %}
    <div class="row justify-content-center mb-4">
        <div class="col-md-8 mb-4">
            <div class="text-center">
                <a {% if user.is_authenticated and user == course.teacher %} class="btn btn-success" {% else %} class="btn btn-success disabled" {% endif %}
                   role="button"
                   href="{% url 'myg:course-update' course.id %}">
                    <i class="fa-solid fa-edit"></i> Edit
                </a>
                <a {% if user.is_authenticated and user == course.teacher %} class="btn btn-primary" {% else %} class="btn btn-success disabled" {% endif %}
                   role="button"
                   href="{% url 'myg:enrollment-list' course.id %}">
                    <i class="fa-solid fa-list"></i> Enrollment
                </a>
            </div>
        </div>
        <div class="col-md-6">
            <ul>
                <li>Course: {{ course.title }}</li>
                <li>Teacher: {{ course.teacher }}</li>
            </ul>
        </div>
    </div>
    <div class="row justify-content-center mb-4">
        <div class="col-md-8">
            <div class="text-center">
                <a {% if user.is_authenticated and user.is_teacher or user.is_student %} class="btn btn-warning" {% else %} class="btn btn-warning disabled" {% endif %}
                   role="button"
                   href="{% url 'myg:assessment-list' course.id %}">
                    <i class="fa-solid fa-list"></i> Assessments
                </a>
                <a {% if user.is_authenticated and user.is_student %} class="btn btn-success" {% else %} class="btn btn-success disabled" {% endif %}
                   role="button"
                   href="{% url 'myg:enrollment-create' course.id %}">
                    <i class="fa-solid fa-user-plus"></i> Register
                </a>
            </div>
        </div>
    </div>
{% endblock content %}
